REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single FloorPlanLayoutEdge record by its Id.
{ "FloorPlanLayoutId": 123, "FloorPlanLayoutName": "<string>", "EdgeKey": "<string>", "Source": "<string>", "Target": "<string>", "Angle": 123, "Width": 123, "Height": 123, "Length": 123, "IsPartition": true, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
FloorPlanLayoutEdge-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/floorplanlayoutedges/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "FloorPlanLayoutId": 0, "FloorPlanLayoutName": null, "EdgeKey": null, "Source": null, "Target": null, "Angle": 0, "Width": 0, "Height": 0, "Length": 0, "IsPartition": false, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "FloorPlanLayoutEdge Example", "LocalizationDetails": null, "CustomFields": null }